net.minecraft.client.resources

## Class SimpleResource

- java.lang.Object
- - net.minecraft.client.resources.SimpleResource

- All Implemented Interfaces:
    IResource

      public class SimpleResource
      extends java.lang.Object
      implements IResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleResource(ResourceLocation par1ResourceLocation, java.io.InputStream par2InputStream, java.io.InputStream par3InputStream, IMetadataSerializer par4MetadataSerializer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object par1Obj)`
    `java.io.InputStream` | `getInputStream()`
    `IMetadataSection` | `getMetadata(java.lang.String par1Str)`
    `int` | `hashCode()`
    `boolean` | `hasMetadata()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleResource

          public SimpleResource(ResourceLocation par1ResourceLocation,
                        java.io.InputStream par2InputStream,
                        java.io.InputStream par3InputStream,
                        IMetadataSerializer par4MetadataSerializer)

  - ### Method Detail

    - #### getInputStream

          public java.io.InputStream getInputStream()

      Specified by:
        `getInputStream` in interface `IResource`

    - #### hasMetadata

          public boolean hasMetadata()

      Specified by:
        `hasMetadata` in interface `IResource`

    - #### getMetadata

          public IMetadataSection getMetadata(java.lang.String par1Str)

      Specified by:
        `getMetadata` in interface `IResource`

    - #### equals

          public boolean equals(java.lang.Object par1Obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`